%include	/usr/lib/rpm/macros.perl
Summary:	Library to provide key AppArmor symbols
Summary(pl.UTF-8):	Biblioteka udostępniająca kluczowe symbole AppArmor
Name:		libapparmor
Version:	2.8.1
Release:	3
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	83ae6c8190e91cf2146da8942951d305
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.4
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	perl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.272
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	ruby-devel
BuildRequires:	swig-perl
BuildRequires:	swig-python
BuildRequires:	swig-ruby
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the libapparmor library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library. This package is part of a suite of tools that
used to be named SubDomain.

%description -l pl.UTF-8
Ten pakiet udostępnia bibliotekę libapparmor, zawierającą symbol
change_hat(2), używany do więzienia podprocesów przez AppArmor.
Aplikacje chcące używać change_hat(2) muszą być linkowane z tą
biblioteką. Ten pakiet jest częścią zestawu narzędzi nazywanego
SubDomain.

%package devel
Summary:	Header files for libapparmor library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libapparmor
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This is the package containing the header files for libapparmor
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libapparmor.

%package static
Summary:	Static libapparmor library
Summary(pl.UTF-8):	Statyczna biblioteka libapparmor
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libapparmor library.

%description static -l pl.UTF-8
Statyczna biblioteka libapparmor.

%package -n perl-apparmor
Summary:	AppArmor Perl bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Perla
Summary(pt_BR.UTF-8):	Módulos Perl para acessar os recursos do AppArmor
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n perl-apparmor
AppArmor Perl bindings.

%description -n perl-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla Perla.

%description -n perl-apparmor -l pt_BR.UTF-8
Módulos Perl para acessar os recursos do AppArmor.

%package -n python-apparmor
Summary:	AppArmor Python bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do AppArmor
Group:		Development/Languages/Python
%pyrequires_eq  python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-apparmor
AppArmor Python bindings.

%description -n python-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla Pythona.

%description -n python-apparmor -l pt_BR.UTF-8
Módulos Python para acessar os recursos do AppArmor.

%package -n ruby-apparmor
Summary:	AppArmor Ruby bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla języka Ruby
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-apparmor
AppArmor Ruby bindings.

%description -n ruby-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla języka Ruby.

%prep
%setup -q -n apparmor-%{version}

%build
cd libraries/libapparmor
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-python \
	--with-perl \
	--with-ruby

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C libraries/libapparmor install \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapparmor.so.1
%attr(755,root,root) %{_libdir}/libimmunix.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimmunix.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so
%attr(755,root,root) %{_libdir}/libimmunix.so
%{_libdir}/libapparmor.la
%{_libdir}/libimmunix.la
%{_includedir}/aalogparse
%{_includedir}/sys/apparmor.h
%{_pkgconfigdir}/libapparmor.pc
%{_mandir}/man2/aa_change_hat.2*
%{_mandir}/man2/aa_change_profile.2*
%{_mandir}/man2/aa_find_mountpoint.2*
%{_mandir}/man2/aa_getcon.2*

%files static
%defattr(644,root,root,755)
%{_libdir}/libapparmor.a
%{_libdir}/libimmunix.a

%files -n perl-apparmor
%defattr(644,root,root,755)
%{perl_vendorarch}/LibAppArmor.pm
%dir %{perl_vendorarch}/auto/LibAppArmor
%{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.bs
%attr(755,root,root) %{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.so

%files -n python-apparmor
%defattr(644,root,root,755)
%dir %{py_sitedir}/LibAppArmor
%attr(755,root,root) %{py_sitedir}/LibAppArmor/_LibAppArmor.so
%{py_sitedir}/LibAppArmor/__init__.py[co]
%{py_sitedir}/LibAppArmor-*.egg-info

%files -n ruby-apparmor
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/LibAppArmor.so
%changelog
* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 90afa0e
- install ruby into vendor dirs
- rel 3

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 494967c
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2723434
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6871091
- up to 2.8.0

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 89ed002
- up to 2.7.2

* Fri Nov 18 2011 lisu <lisu@pld-linux.org> 81437f4
- rel 2

* Fri Nov 18 2011 lisu <lisu@pld-linux.org> 5d8463c
- build with -fPIC (try to fix build on x86_64)

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> ab3177e
- more verbose files
- build ruby binding

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fde036f
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a6443ee
- up to 2.6.0

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b7436f
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2119f00
- release 4

* Thu May 13 2010 sparky <sparky@pld-linux.org> 6094cfa
- BR: swig-perl, swig-python

* Wed Mar 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bed3c2
- rel 3

* Wed Mar 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c2413d2
- rel 2; perl and subversion bindings

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f97893
- up to 2.5

* Thu Oct 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4da076f
- add BR: bison and flex

* Thu Oct 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 02c4600
BR: perl-tools-pod

* Mon Jun 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 449d84d
- up to 2.3.1249

* Thu May 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b5724fe
- up to 2.2.1001

